﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;

using Infragistics.Persistence;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for TileManagerSample.xaml
    /// </summary>
    public partial class TileManagerSample : UserControl
    {
        private PersistenceSettings _settings;

        private byte[] _savedState;

        public TileManagerSample()
        {
            InitializeComponent();
        }

        private void SaveLayout(object sender, RoutedEventArgs e)
        {
            MemoryStream memoryStream = PersistenceManager.Save(xamTilesControl1, _settings);
            _savedState = memoryStream.ToArray();
        }

        private void LoadLayout(object sender, RoutedEventArgs e)
        {
            if (_savedState == null) return;
            PersistenceManager.Load(xamTilesControl1, new MemoryStream(_savedState), _settings);
        }
    }
}
